首页 » 互联网资讯 » 正文

mysql增加扩展模时报错

lnmp0.9安装完毕了,现在需要增加一个sphinxSE的mysql表引擎,按照插件模式安装的,当运行
INSTALL PLUGIN sphinx SONAME ‘ha_sphinx.so’;这里的时候就报错了ERROR 1289 (HY000): The ‘plugin’ feature is disabled; you need MySQL built with ‘HAVE_DLOPEN’ to have it working网上找了下说运行这两句后就可以了   export CFLAGS=”-O2 -DHAVE_DLOPEN=1″
export CXXFLAGS=”-O2 -DHAVE_DLOPEN=1″但是运行后问题依然存在。不知道怎么弄了,有高手回答的吗?


编译时有–with-mysqld-ldflags=-all-static参数,好像不能用这个

建议重新编译安装吧

新加坡vps

发表评论